<?php
/****************************************************************************\
* TaskFreak!                                                                 *
* single user                                                                *
******************************************************************************
* Version: 0.5                                                               *
* Release date: 2 January 2006                                               *
* Authors: Stan Ozier <stan@tirzen.net>                                      *
* Translation by: Benedikt Forchhammer                                       *
* License:  http://www.gnu.org/licenses/gpl.txt (GPL)                        *
******************************************************************************
* This file is part of "TaskFreak! single user" program.                     *
*                                                                            *
* TaskFreak! single user is free software; you can redistribute it and/or    *
* modify it under the terms of the GNU General Public License as published   *
* by the Free Software Foundation; either version 2 of the License, or (at   *  
* your option) any later version.                                            *
*                                                                            *
* TaskFreak! single user is distributed in the hope that it will be          *
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
* GNU General Public License for more details.                               *
*                                                                            *
* You should have received a copy of the GNU General Public License          *
* along with this program; if not, write to the Free Software                *
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *
\****************************************************************************/

// locale
setlocale(LC_ALL,'de_DE.utf8','de_DE','de');

// contexts 
// when translating, avoid changing the key (single letter)
$_GLOBALS['arrContexts'] = array (
	'W' => 'Work',
	'H' => 'Home',
	'I' => 'Internet',
	'P' => 'Phone',
	'A' => 'Anywhere',
	'O' => 'Other'
);

// top menu / navigation
$GLOBALS['arrLanguageMenu'] = array (
	'task'				=> 'Aufgaben',
	'new_todo'			=> 'Neu',
	'view'				=> 'Ansicht',
	'all_projects'		=> 'Alle Projekte',
	'future_tasks'		=> 'Bevorstehende Aufgaben',
	'past_tasks'		=> 'Vergangene Aufgaben',
	'all_tasks'			=> 'Alle Aufgaben',
	'all_contexts'		=> 'Alle Bereiche',
	'reload'			=> 'Ansicht aktualisieren',
	'manage'			=> 'Verwalten',
	'projects'			=> 'Projekte'
);

// fields and column labels
$GLOBALS['arrLanguageForm'] = array (
	'priority'			=> 'Priorität',
	'context'			=> 'Bereich',
	'deadline'			=> 'Fällig am',
	'project'			=> 'Projekt',
	'tasks'				=> 'Aufgaben',
	'title'				=> 'Titel',
	'description'		=> 'Beschreibung',
	'status'			=> 'Status',
	'save'				=> 'Speichern',
	'cancel'			=> 'Abbrechen',
	'new'				=> 'Neu',
	'project_new'		=> 'Neu Projekt?',
	'project_list'		=> 'show list'
);

// date support
$GLOBALS['arrLanguageDate'] = array (
	'today'				=> 'heute',
	'tomorrow'			=> 'morgen',
	'day'				=> 'Tag',
	'week'				=> 'Woche',
	'month'				=> 'Monat',
	'year'				=> 'Jahr'
);

$GLOBALS['arrLanguageDateDay'] = array (
    'monday'            => 'montag',
    'tuesday'           => 'dienstag',
    'wednesday'         => 'mittwoch',
    'thursday'          => 'donnerstag',
    'friday'            => 'freitag',
    'saturday'          => 'samstag',
    'sunday'            => 'sonntag'
);

$GLOBALS['arrLanguageDateMore'] = array (
	'days'				=> 'Tags',
	'help'				=> 'z.B. heute, morgen, 12. April'
);

// error and information messages
$GLOBALS['arrLanguageMessage'] = array (
    'task_edit'             => "Edit this task",
    'task_delete'           => "Delete this task",
    'task_delete_confirm'   => "Really delete this task?",
	'error_no_title'		=> "Bitte geben Sie einen Titel ein!",
	'done_deleted'			=> "Aufgabe wurde gelöscht!",
	'done_status'			=> "Aufgaben-Status wurde aktualisiert",
	'done_updated'			=> "Aufgabe wurde aktualisiert!",
	'done_added'			=> "Aufgabe wurde erstellt!",
	'purge_all'				=> "Bei allen Projekten Aufräumen (vergangene Aufgaben löschen).",
	'purge_all_confirm'		=> "Wollen Sie wirklich alle vergangenen Aufgaben (in allen Projekten) löschen?",
	'delete_all'			=> "Alle Projekte löschen (Alle Aufgaben!).",
	'delete_all_confirm'	=> "Wollen Sie wirklich alle Aufgaben löschen?",
	'purge_one'				=> "In diesem Projekt aufräumen (vergangen Aufgaben löschen).",
	'purge_one_confirm'		=> "Wollen Sie wirklich alle vergangenen Aufgaben in diesem Projekt löschen?",
	'delete_one'			=> "Gesamtes Projekt löschen!",
	'delete_one_confirm'	=> "Wollen Sie wirklich dieses Projekt komplett löschen?",
	'no_task_found'			=> "Tut mir furchtbar Leid, aber ich kann einfach keine Aufgaben in der Datenbank finden...",
	'create_task'			=> "Klicken Sie hier, wenn Sie eine Aufgabe erstellen wollen!",
	'no_project_found_1'	=> "Keine Projekte vorhanden!",
	'no_project_found_2'	=> "Sie müssen wahrscheinlich erst mal eine Aufgabe erstellen...",
	'close_window'			=> 'Fenster schließen'

);
?>
