<?php
/****************************************************************************\
* TaskFreak!                                                                 *
* single user                                                                *
******************************************************************************
* Version: 0.5                                                               *
* Release date: 2 January 2006                                               *
* Authors: Stan Ozier <stan@tirzen.net>                                      *
* License:  http://www.gnu.org/licenses/gpl.txt (GPL)                        *
******************************************************************************
* This file is part of "TaskFreak! single user" program.                     *
*                                                                            *
* TaskFreak! single user is free software; you can redistribute it and/or    *
* modify it under the terms of the GNU General Public License as published   *
* by the Free Software Foundation; either version 2 of the License, or (at   *  
* your option) any later version.                                            *
*                                                                            *
* TaskFreak! single user is distributed in the hope that it will be          *
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
* GNU General Public License for more details.                               *
*                                                                            *
* You should have received a copy of the GNU General Public License          *
* along with this program; if not, write to the Free Software                *
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *
\****************************************************************************/

include 'config.php';
include 'language/lg_'.FRK_LANGUAGE.'.php';
include PRJ_CLASS_PATH.'tzn_generic.php';
include PRJ_CLASS_PATH.TZN_DB_CLASS;
include PRJ_CLASS_PATH.'pkg_freak.php';

if (defined('FRK_CHARSET')) {
    header('Content-type: text/html;charset='.FRK_CHARSET);
}

function getHttp($value) {
	if (get_magic_quotes_gpc() && $value) {
		return stripslashes($value);
	} else {
		return $value;
	}
}

$pReload = false;

if ($_REQUEST['mode'] == 'purge') {
	$objProject = new Project();
	$objProject->delete("project=".TznDb::zValueToSql(getHttp($_REQUEST['project']))." AND "
		."((deadlineDate < '".strftime(TZN_DATE_SQL,PRJ_DTE_NOW)."' "
		." AND status = 5) OR (status = 5))");
	$pReload = true;
} else if ($_REQUEST['mode'] == 'delete') {
	$objProject = new Project();
	$objProject->delete("project=".TznDb::zValueToSql(getHttp($_REQUEST['project'])));
	$pReload = true;
} else if ($_REQUEST['mode'] == 'purgeAll') {
	$objProject = new Project();
	$objProject->delete("(deadlineDate < "
		."'".strftime(TZN_DATE_SQL,PRJ_DTE_NOW)."'"
		." AND status = 5) OR (status = 5)");
	$pReload = true;
} else if ($_REQUEST['mode'] == 'deleteAll') {
	$objProject = new Project();
	$objProject->emptyTable();
	$pReload = true;
}

$objProjectList = new Project();
$objProjectList->loadList();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
    <title>TaskFreak!</title>
    <link href="freak.css" rel="stylesheet" type="text/css" />
	<script language="JavaScript" src="freak.js" type="text/javascript"></script>
</head>
<body>
<?php
if ($pReload) {
?>
<script language="JavaScript">
	window.opener.freak_rld();
</script>
<?php
}
?>
  <form name="zappa" action="index.php" method="post" id="zappa">
    <div id="header">
      <div id="header2">
      	<div id="logo">
          <img src="images/logostill.png" width="148" height="24" border="0" alt="task freak! (logo)" />
        </div>
      </div>
  	</div>
    <div id="container">
	  <div id="content">
	    <table cellpadding="2" cellspacing="1" border="0" class="sheet" width="100%">
		  <thead>
			<tr>
			  <th width="75%"><?php echo $arrLanguageForm['project']; ?></th>
			  <th width="10%" class="cc"><?php echo $arrLanguageForm['tasks']; ?></th>
			  <th width="15%" class="cc"><a href="project.php?mode=purgeAll" title="<?php echo $arrLanguageMessage['purge_all']; ?>" onClick="return reconfirm('<?php echo $arrLanguageMessage['purge_all_confirm']; ?>')"><img src="images/del.png" width="20" height="16" alt="del" border="0" /></a>&nbsp;<a href="project.php?mode=deleteAll" title="<?php echo $arrLanguageMessage['delete_all']; ?>" onClick="return reconfirm('<?php echo $arrLanguageMessage['delete_all_confirm']; ?>')"><img src="images/dex.png" width="20" height="16" alt="del" border="0" /></a></th>
			</tr>
		  </thead>
		  <tbody>
		<?php
		if ($objProjectList->rMore()) {
			while ($objItem = $objProjectList->rNext()) {
		?>
			<tr>
			  <td><?php $objItem->p('project'); ?></td>
			  <td align="right"><?php $objItem->p('taskCount'); ?></td>
			  <td align="center"><a href="project.php?mode=purge&project=<?php echo urlencode($objItem->project); ?>" title="<?php echo $arrLanguageMessage['purge_one']; ?>" onClick="return confirm('<?php echo $arrLanguageMessage['purge_one_confirm']; ?>')"><img src="images/del.png" width="20" height="16" alt="del" border="0" /></a>&nbsp;<a href="project.php?mode=delete&project=<?php echo urlencode($objItem->project); ?>" title="<?php echo $arrLanguageMessage['delete_one']; ?>" onClick="return confirm('<?php echo $arrLanguageMessage['delete_one_confirm']; ?>')"><img src="images/dex.png" width="20" height="16" alt="del" border="0" /></a></td>
			</tr>
		<?php
			}
		} else {
		?>
			<tr class="nothanks">
				<td colspan="3">
					<p>&nbsp;</p>
					<p align="center"><?php echo $arrLanguageMessage['no_project_found_1']; ?></p>
					<p>&nbsp;</p>
					<p align="center" class="small"><?php echo $arrLanguageMessage['no_project_found_2']; ?></p>
					<p>&nbsp;</p>
					<p align="center" class="small"><a href="javascript:self.close()"></a></p>
					<p>&nbsp;</p>
					<p>&nbsp;</p>
					<p>&nbsp;</p>
					<p>&nbsp;</p>
				</td>
		<?php
		}
		?>
		  </tbody>
		</table>
	  </div>
	</div>
  </form>
</body>
</html>
